Subject: [spring] A question regarding Section 3.2 of RFC 8402

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 10 Dec 2019 11:13:58 +0000

Hi all,
My colleagues and I have a question pertaining to  Section 3.2 of RFC 8402<https://eci365.sharepoint.com/sites/technicaldocsite/genericdev/System/System%20Documents/Forms/AllItems.aspx?FolderCTID=0x012000858C3D81A4889F449868AC62A2AABDCD&id=%2Fsites%2Ftechnicaldocsite%2Fgenericdev%2FSystem%2FSystem%20Documents%2FIP%2DMPLS%2FNE%20Management%2FCLI>. This section says:

   An IGP Node-SID MUST NOT be associated with a prefix that is owned by
   more than one router within the same routing domain.

The requirement itself is well understood. However, neither RFC 8402 nor any other SPRING document I have seen defines the expected behavior of SR-capable nodes if, due to misconfiguration, a certain prefix that is owned by multiple nodes in the SR domain is associated with the Node-SID in at least one of them.

There are several sub-scenarios of the misconfiguration problem above, e.g.:

*         The prefix is owned by multiple nodes. One of these nodes advertises it as associated with the Node-SID, while the other owners do not associate it with any SID at all

*         The prefix is owned by multiple nodes. One of these nodes advertises it as associated with the Node-SID, while one (or more) of the other nodes advertise it as associated with an IGP-Prefix SID but not as a Node-SID

*         The prefix is owned by multiple nodes, and  two (or more) of these nodes advertise it as associated with the Node-SID but with different indices in the SRGB

*         The prefix is owned by multiple nodes, and  two (or more) of these nodes advertise it as associated with the Node-SID with the same index in the SRGB.

Our experiments (admittedly incomplete) with SR-capable equipment from different vendors have shown that:

*         None of the tested devices have reported this situation as an error when they encounter some of the problematic scenarios

*         Different devices have demonstrated different forwarding behavior when they encounter some of the problematic scenarios. In some of these scenarios the offending prefix would be associated with some SID and the resulting forwarding behavior installed.

We think that it would be nice if the WG could define a minimal set of requirements for handling this kind of misconfiguration. These requirements should include at least the following:

*         A device that encounters this kind of misconfiguration SHOULD report the problem to the network management layer

*         The prefix for which this kind of misconfiguration has been detected SHOULD NOT be associated with any IGP Prefix-SID at all.

There may be other possibilities, but we feel that RFC 8402 is underspecified in this regard,

We would highly appreciate your feedback.

Regards, and lots of thanks in advance,
Sasha (on behalf of the team).

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

___________________________________________________________________________

This e-mail message is intended for the recipient only and contains information which is 
CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this 
transmission in error, please inform us by e-mail, phone or fax, and then delete the original 
and all copies thereof.
___________________________________________________________________________

---

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 17 Dec 2019 09:36:13 +0000

Hi all,
This is a gentle reminder - we have not seen any responses from anybody on the WG mailing list...
To make it clear: If you think that this is a non-issue, please say so as well.

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302

From: Alexander Vainshtein
Sent: Tuesday, December 10, 2019 1:14 PM
To: [email-masked]
Cc: Michael Gorokhovsky <[email-masked]>; Sheetal Jangeed <[email-masked]>; Madhav Purohit <[email-masked]>; Abhijit Gokaraju ([email-masked]) <[email-masked]>; Dmitry Valdman <[email-masked]>
Subject: A question regarding Section 3.2 of RFC 8402
Importance: High

Hi all,

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]<mailto:[email-masked]>